Unverified Commit d85565ee authored by Michael Müller's avatar Michael Müller Committed by GitHub
Browse files

Add compatibility notes for rc6 (#969)

* Add compatibility notes for rc6

* Add word 'versioned' to dictionary

* Add compatible scale version
parent c64d4f96
Pipeline #162935 passed with stages
in 26 minutes and 54 seconds
......@@ -65,6 +65,7 @@ v3
validator
variadic
versa
versioned
versioning
Verbatim
metadata
......
......@@ -2,6 +2,30 @@
This is the 6th release candidate for ink! 3.0.
## Compatibility
### Please upgrade `cargo-contract`
You need to update to the latest `cargo-contract` in order to use this release:
```
cargo install cargo-contract --vers ^0.15 --force --locked
```
If you build contracts from this release candidate with an older `cargo-contract`,
the UI's won't display all contract-relevant fields.
### Please upgrade `scale-info` in your contract's dependencies
In this release candidate we upgraded `scale-info`. You have to use a compatible
version in your contract's `Cargo.toml` as well; `cargo-contract` will throw
an error otherwise.
The `Cargo.toml` should contain
```
scale-info = { version = "1.0", default-features = false, features = ["derive"], optional = true }
scale = { package = "parity-scale-codec", version = "2", default-features = false, features = ["derive", "full"] }
```
## Added
- Added an Ethereum-compatibility function to recover a public key from an ECDSA signature and message hash - [#914](https://github.com/paritytech/ink/pull/914) (thanks [@xgreenx](https://github.com/xgreenx)).
- Added new utility proc. macros to `ink_lang` crate - [#947](https://github.com/paritytech/ink/pull/947):
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment